class Admin::AcceptedOffersController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  def upload_devis
    @accepted_offer = AcceptedOffer.find(params[:id])

    if !params[:devis]
      flash[:error] = "Vous devez sélectionner un fichier"
    else

      @accepted_offer.devis = params[:devis]



      if @accepted_offer.save

        @accepted_offer.state = :devis_available
        @accepted_offer.save


      else
        flash[:error] = "Impossible de charger le devis"
      end
    end
    redirect_back_or_default :root



  end


  def download
    @accepted_offer = AcceptedOffer.find(params[:id])
    send_file @accepted_offer.devis.file.path
  end

  def delete
    @accepted_offer = AcceptedOffer.find(params[:id])

    @accepted_offer.remove_devis!
    @accepted_offer.state = :waiting_devis
    @accepted_offer.save

    flash[:notice] = "Devis supprimé"
    redirect_back_or_default :root
  end

  def received
    @accepted_offer = AcceptedOffer.find(params[:id])

    @accepted_offer.state = :devis_received
    @accepted_offer.save

    flash[:notice] = "Devis marqué comme reçu et signé"
    redirect_back_or_default :root
  end
end
